gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.General.Settings

Contents

- Class Hierarchy
- Types
- Methods

Description

Storing data on clipboards

Synopsis

- data Settings
- class GObjectClass o => SettingsClass o
- castToSettings :: GObjectClass obj => obj -> Settings
- gTypeSettings :: GType
- toSettings :: SettingsClass o => o -> Settings
- settingsGetDefault :: IO (Maybe Settings)
- settingsGetForScreen :: ScreenClass screen => screen -> IO Settings
- settingsSetLongProperty :: (SettingsClass settings, GlibString string) => settings -> string -> Int -> string -> IO ()
- settingsSetStringProperty :: (SettingsClass settings, GlibString string) => settings -> string -> string -> string -> IO ()

# Class Hierarchy

    | GObject
    | +----Settings

# Types

data Settings Source #

#### Instances

Instances details

Eq Settings Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: Settings -> Settings -> Bool Source # (/=) :: Settings -> Settings -> Bool Source #
Ord Settings Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: Settings -> Settings -> Ordering Source # (<) :: Settings -> Settings -> Bool Source # (<=) :: Settings -> Settings -> Bool Source # (>) :: Settings -> Settings -> Bool Source # (>=) :: Settings -> Settings -> Bool Source # max :: Settings -> Settings -> Settings Source # min :: Settings -> Settings -> Settings Source #
GObjectClass Settings Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: Settings -> GObject Source # unsafeCastGObject :: GObject -> Settings Source #
SettingsClass Settings Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class GObjectClass o => SettingsClass o Source #

#### Instances

Instances details

SettingsClass Settings Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToSettings :: GObjectClass obj => obj -> Settings Source #

gTypeSettings :: GType Source #

toSettings :: SettingsClass o => o -> Settings Source #

# Methods

settingsGetDefault Source #

Arguments

:: IO (Maybe Settings) | returns a Settings. If there is no default screen, then returns Nothing.

Gets the Settings object for the default GDK screen, creating it if necessary. See `settingsGetForScreen`.

settingsGetForScreen :: ScreenClass screen => screen -> IO Settings Source #

Gets the Settings object for screen, creating it if necessary.

settingsSetLongProperty :: (SettingsClass settings, GlibString string) => settings -> string -> Int -> string -> IO () Source #

settingsSetStringProperty :: (SettingsClass settings, GlibString string) => settings -> string -> string -> string -> IO () Source #